function pryce9
%problem 9 in the list of test problems in the book of Pryce
addpath(genpath(pwd))
addpath(genpath('./source'))
a=-1;
b=1;


tol=1e-7;

print_messages(true);

problem.pfun=@pfun;
problem.qfun=@qfun;
problem.wfun=@wfun;
problem.a=a;
problem.b=b;
problem.bcs=[1 0 1 0];
problem.partition=[];
[E,partition]=calculate_eigenvalues(problem,0,10,tol,true);
disp('  k           E_k              estimated error')
for n=1:length(E.indices)
  disp(sprintf('%3d     %18.12f       %5.1E',E.indices(n),E.eigenvalues(n),...
      abs(E.errors(n))));
end




function res=pfun(x)
res=1./sqrt(1-x.^2);

function res=qfun(x)
res=0.*x;

function res=wfun(x)
res=1./sqrt(1-x.^2);


